// Copyright 2019-2024 The Hush developers
// Released under the GPLv3
#ifndef DATASTORE_H
#define DATASTORE_H

#include "SietchDataStore.h"
#include "NoteCountDataStore.h"
#include "ChatDataStore.h"
#include "ContactDataStore.h"

class DataStore
{
	public:
	    static SietchDataStore* getSietchDataStore();
		static NoteCountDataStore* getNoteCountDataStore();
	    static ChatDataStore* getChatDataStore();
		static ContactDataStore* getContactDataStore();
};

#endif
